EasyApache 4 Cambio de registro 2020

EasyApache 4 Cambio de registro 2020


Última modificación: 23 de diciembre de 2020

EasyApache 4 hace no utiliza el control de versiones y organiza los cambios solo por fecha.

Cada entrada contiene la siguiente información:

  1. El paquete que cambiamos.
  2. El número de caso para el cambio.
  3. Una descripción del cambio.

Para obtener más información sobre nuestro repositorio de GitHub, lea nuestro El repositorio EasyApache 4 Git y las actualizaciones de compilación documentación.

2020-12-23


ea-openssl11
  • EA-9478: Actualización ea-openssl11 a 1.1.1i, baja 1.1.1h (con corrección para CVE-2020-1971)
ea-perfiles-cpanel
  • ZC-7620: Actualice el perfil de Ruby para 2.7 en C7 y C8.
libcurl
scl-ruby24-pasajero
  • ZC-8096: Utilice la ruta completa en passenger.ruby.
  • ZC-7897: agregue un archivo de plantilla específico de la versión / paquete (y admita rutas de datos de usuario como nginx).
  • ZC-7655: Proporcionar / Conflicto apache24-passenger.
  • ZC-8143: compila ruby ​​2.4 binary para que funcione cuando se llama directamente.
ea-cpanel-herramientas
  • ZC-7904: Agregue recomendación de EOL para ruby24 en C7 y posteriores.
ea-nodejs10
  • ZC-8150: instalar /etc/cpanel/ea4/passenger.nodejs.
ea-apache2-config
  • EA-9493: Elimina la necesidad de perl-libwww-perl.
Sistema CentOS 8 OpenSSL
  • ZC-8005: Reemplazar ea-openssl11 con sistema openssl en C8.
    • apr
    • apr-util
    • ea-apache2
    • ea-freetds
    • ea-libzip
    • ea-nghttp2
    • ea-php74
    • ea-php80
    • scl-libc-client
    • scl-php72
    • scl-php73
Ruby 2.7 en producción
  • EA-9480: Publicar ea-ruby27 a la producción.
    • ea-ruby27
    • ea-ruby27-libuv
    • ea-ruby27-meta
    • ea-ruby27-passenger
    • ea-ruby27-rubygem-mizuho
    • ea-ruby27-rubygem-nokogiri
    • ea-ruby27-rubygem-rack
    • ea-ruby27-rubygem-sqlite3

2020-12-9


ea-cpanel-herramientas
  • EA-9444: Agregue PHP 7.2 a las recomendaciones de EOL.
ea-oniguruma
  • EA-9466: Actualización ea-oniguruma a 6.9.6, elimine 6.9.5_rev1.
ea-perfiles-cpanel
  • EA-9444: Quitar ea-php72 de todos los perfiles.
scl-ioncube10
  • ZC-7975: Elimina tarball de 32 bits.

2020-12-2


ea-apache2-config
  • COBRA-11968: Arregle Let’s Encrypt HTTP DCV bajo SSL force-redirect.
ea-nghttp2
  • EA-9445: Actualización ea-nghttp2 a 1.42.0, baje 1.41.0.
ea-php74
  • EA-9448: Actualización ea-php74 a 7.4.13, descarte 7.4.12.
  • EA-9424: corrige la compilación en CentOS 8.
ea-php74-meta
  • EA-9448: Actualización ea-php74 a 7.4.13, descarte 7.4.12.
ea-php80
  • EA-9454: PHP 8.0 a producción.
ea-php80-meta
  • EA-9454: PHP 8.0 a producción.
ea-php80-php-memcached
  • EA-9454: PHP 8.0 a producción.
ea-tomcat8
  • EA-9449: Actualización ea-tomcat85 a 8.5.60, baje 8.5.59.
scl-ioncube10
  • EA-9450: Actualización scl-ioncube10 a 10.4.5, baje 10.4.4.
cliente scl-libc
  • ZC-7880: Mueva PHP 8.0 a producción.
scl-php72
  • ZC-7893: Eliminar sin usar php.modconf.
  • ZC-7893: Actualice la configuración de DSO para incluir PHP 8.
scl-php73
  • EA-9451: Actualización scl-php73 a 7.3.25, baje 7.3.24.
scl-php73-meta
  • EA-9451: Actualización scl-php73 a 7.3.25, baje 7.3.24.
scl-php-pear
  • ZC-7880: Actualización de Pear y algunos módulos.
  • ZC-7880: Mueva PHP 8.0 a producción.
scl-ruby24-pasajero
  • EA-9453: Actualización scl-ruby24-passenger a 6.0.7, elimine 6.0.6.
ea-apache24-mod_lsapi
  • ZC-7213: Agregar ea-php80 a la lista codificada que rpm/switch_lsapi construye /etc/container/php.handler fuera de.

2020-11-23


mod_security2
  • ZC-7925: instalar /etc/cpanel/ea4/modsecurity.version.

2020-11-11


ea-freetds
  • EA-9397: Actualización ea-freetds a 1.2.9, baje 1.2.5.
ea-nodejs10
  • EA-9400: Actualización ea-nodejs10 a 10.23.0, elimine 10.22.1.
ea-php74
  • ZC-7893: Eliminar sin usar php.modconf.
  • ZC-7893: Actualice la configuración de DSO para incluir PHP 8.
  • EA-9401: Actualización ea-php74 a 7.4.12 (parches reelaborados), elimine 7.4.11.
  • EA-9401: Actualización ea-php74 a 7.4.12, descarte 7.4.11.
ea-php74-meta
  • EA-9401: Actualización ea-php74 a 7.4.12, descarte 7.4.11.
mod_security2
  • EA-9177: Establecer SecRequestBodyLimitAction para ProcessPartial en el archivo conf.
scl-ioncube10
  • EA-9356: Actualización scl-ioncube10 a 10.4.4, baje 10.4.3.
scl-php70
  • ZC-7893: Eliminar sin usar php.modconf.
  • ZC-7893: Actualice la configuración de DSO para incluir PHP 8.
scl-php71
  • ZC-7893: Eliminar sin usar php.modconf.
  • ZC-7893: Actualice la configuración de DSO para incluir PHP 8.
scl-php72
  • ZC-7893: Eliminar sin usar php.modconf.
  • ZC-7893: Actualice la configuración de DSO para incluir PHP 8.
scl-php73
  • ZC-7893: Eliminar sin usar php.modconf.
  • ZC-7893: Actualice la configuración de DSO para incluir PHP 8.
  • EA-9403: Actualización scl-php73 a 7.3.24, baje 7.3.23.
scl-php73-meta
  • EA-9403: Actualización scl-php73 a 7.3.24. gota 7.3.23.

2020-11-4


ea-apache24-mod_pagespeed
  • EA-9262: excluir cpanel. subdominio de Pagespeed.
ea-apache2-config
  • ZC-7308: Actualizaciones para PHP 8.
ea-brotli
  • EA-9380: actualizado de upstream a 1.0.9.
  • EA-9390: Corregir compilación con la última ea-brotli (v1.0.9).
    • scl-php54
    • scl-php55
    • scl-php56
    • scl-php70
    • scl-php71
    • scl-php72
    • scl-php73
    • ea-php74
    • scl-ruby24-passenger

2020-10-28


ea-apache2
  • EA-9374: Inferior TimeoutStopSec por httpd.service.
ea-php74
  • ZC-7497: restablecer runselftest.
libcurl
  • EA-9371: Actualización libcurl a 7.73.0, elimine 7.72.0 (parches reelaborados).
scl-ruby24-rubygem-mizuho
  • ZC-7497: Realice una verificación de% interno condicional.

2020-10-14


ea-apache2-config
  • CPANEL-34021: Proxy /cpanelwebcall/ URL a cpsrvd.
ea-cpanel-herramientas
  • ZC-7629: Agregue el conector apache mod sec 3.0 a la lista de paquetes adicionales cuando se instale el Repositorio Experimental.
ea-modsec2-reglas-owasp-crs
  • ZC-7337: Cambios para admitir actualizaciones de habilitación / deshabilitación de ULC para un proveedor basado en RPM.
  • ZC-7710: Si ya está desactivado, vuelva a desactivar para obtener el yum.conf para que coincida con la realidad.
ea-perfiles-cpanel
  • ZC-7499: Versión de perfil de relieve y agregar etiqueta.
  • ZC-7499: Actualización Defecto perfil: agregar ea-php74 Residencia en ea-php73.
ea-tomcat85
  • EA-9358: Actualización ea-tomcat85 a 8.5.59, descarte 8.5.58 (con corrección para CVE-2020-13943).

2020-10-7


scl-php72
scl-php72-meta
  • EA-9338: Actualización scl-php72 a 7.2.34. gota 7.2.33.
scl-php73
scl-php73-meta
  • EA-9337: Actualización scl-php73 a 7.3.23, descarte 7.3.22.
ea-php74
ea-php74-meta
  • EA-9339: Actualización ea-php74 a 7.4.11, descarte 7.4.10.

2020-9-30


scl-ioncube10
  • EA-9307: Actualización scl-ioncube10 a 10.4.3, elimine 10.4.1.
ea-openssl11
  • EA-9320: Actualización ea-openssl11 a 1.1.1h, baje 1.1.1g.

2020-9-23


ea-cpanel-herramientas
  • ZC-7001: Haga que PHP 7.3 sea el PHP predeterminado.
  • ZC-7471: Agregar ea-modsec30-connector-nginx para ea4-metainfo.jsonpaquetes_adicionales.
  • ZC-7463: Agregar ea-modsec30-rules-owasp-crs para ea4-metainfo.jsonpaquetes_adicionales.
ea-freetds
  • EA-9304: Actualización ea-freetds a 1.2.5, baje 1.2.3.
ea-modsec2-reglas-owasp-crs
  • ZC-5711: Desaproveche el vudú y distribuya las reglas de seguridad de Mod a través de RPM.
ea-nodejs10
  • EA-9305: Actualización ea-nodejs10 a 10.22.1, descarte 10.22.0 (con corrección para CVE-2020-8252).
ea-openssl11
  • EA-9303: Arreglar ea-openssl11 banderas de eliminación de directorio.
ea-tomcat85
  • EA-9308: Actualización ea-tomcat85 a 8.5.58, baje 8.5.57.

2020-9-9


mod_security2
  • ZC-7376: Agregue conflictos de nombre de paquete explícitos para una resolución que no sea yum.
  • ZC-7376: agregar Provides por mod_security.
scl-php54
  • EA-9281: Actualización litespeed desde aguas arriba hasta 7.8.
scl-php55
  • EA-9281: Actualización litespeed desde aguas arriba hasta 7.8.
scl-php56
  • EA-9281: Actualización litespeed desde aguas arriba hasta 7.8.
scl-php70
  • EA-9281: Actualización litespeed desde aguas arriba hasta 7.8.
scl-php71
  • EA-9281: Actualización litespeed desde aguas arriba hasta 7.8.
scl-php72
  • EA-9281: Actualización litespeed desde aguas arriba hasta 7.8.
scl-php73
  • EA-9281: Actualización litespeed desde aguas arriba hasta 7.8.
  • EA-9283: Actualización scl-php73 a 7.3.22, descarte 7.3.21.
scl-php73-meta
  • EA-9283: Actualización scl-php73 a 7.3.22, descarte 7.3.21.
ea-php74
  • EA-9281: Actualización litespeed desde aguas arriba hasta 7.8.
  • EA-9282: Actualización ea-php74 a 7.4.10, descarte 7.4.9.
ea-php74-meta
  • EA-9282: Actualice ea-php74 a 7.4.10, elimine 7.4.9.

2020-8-26


libcurl
  • EA-9260: actualice libcurl a 7.72.0, elimine 7.72.0 (con corrección para CVE-2020-8231.)

2020-8-19


Preparación de CentOS 8
  • EA-9227: Distribuya EasyApache 4 RPM para CentOS 8. Esto no afectar la funcionalidad de CentOS 6 o CentOS 7.
    • yum-plugin-universal-hooks
    • apr
    • apr-util
    • ea-brotli
    • ea-cpanel-tools
    • ea-libxml2
    • ea-nghttp2
    • ea-openssl11
    • libmemcached
    • libtidy
    • mod_bw
    • mod_ruid2
    • mod_security2
    • scl-autotools-latest-autoconf
    • scl-autotools-latest-m4
    • scl-autotools-latest-runtime
    • scl-libc-client
    • scl-php-pear
    • mod_bwlimited

2020-8-12


ea-apache2
ea-php74
  • EA-9224: Actualización ea-php74 a 7.4.9, descarte 7.4.8 (con corrección para CVE-2020-7068).
ea-php74-meta
  • EA-9224: Actualización ea-php74 a 7.4.9, baje 7.4.8.
scl-php73
  • EA-9223: Actualización scl-php73 a 7.3.21, descarte 7.3.20 (con corrección para CVE-2020-7068).
scl-php73-meta
  • EA-9223: Actualización scl-php73 a 7.3.21, descarte 7.3.20.
scl-php72
  • EA-9222: Actualización scl-php72 a 7.2.33, descarte 7.2.32 (con corrección para CVE-2020-7068).
scl-php72-meta
  • EA-9222: Actualización scl-php72 a 7.2.33, elimine 7.2.32.
libcurl
  • EA-9138: Actualización libcurl a 7.71.1, baje 7.71.0.
scl-ruby24-pasajero
  • EA-9221: Incluya el cxxbuilder archivos con el código fuente instalado por mod_passenger.

2020-8-5


scl-ioncube10
  • EA-9206: Actualice a 10.4.1, elimine 10.4.0.
ea-nodejs10
  • EA-9210: Actualización ea-nodejs10 a 10.22.0, baje 10.21.0.
ea-libzip
  • EA-9209: Actualización ea-libzip a 1.7.3, baje 1.7.1.

2020-7-29


ea-libzip
  • EA-9181: Parche CMakeLists archivo para que el RPATH no termina con dos puntos.
ea-perfiles-cpanel
  • EA-9154: Agregar iconv y mbstring a los perfiles de trabajador y mpm_itk
scl-php54
  • EA-9189: Actualización de litespeed de upstream a 7.7. Litespeed tenía una solución de seguridad en su última versión, pero no proporcionó un número CVE.
scl-php55
  • EA-9189: Actualización de litespeed de upstream a 7.7. Litespeed tenía una solución de seguridad en su última versión, pero no proporcionó un número CVE.
scl-php56
  • EA-9189: Actualización de litespeed de upstream a 7.7. Litespeed tenía una solución de seguridad en su última versión, pero no proporcionó un número CVE.
scl-php70
  • EA-9189: Actualización de litespeed de upstream a 7.7. Litespeed tenía una solución de seguridad en su última versión, pero no proporcionó un número CVE.
scl-php71
  • EA-9189: Actualización de litespeed de upstream a 7.7. Litespeed tenía una solución de seguridad en su última versión, pero no proporcionó un número CVE.
scl-php72
  • EA-9189: Actualización de litespeed de upstream a 7.7. Litespeed tenía una solución de seguridad en su última versión, pero no proporcionó un número CVE.
scl-php73
  • EA-9189: Actualización de litespeed de upstream a 7.7. Litespeed tenía una solución de seguridad en su última versión, pero no proporcionó un número CVE.
ea-php74
  • EA-9189: Actualización de litespeed de upstream a 7.7. Litespeed tenía una solución de seguridad en su última versión, pero no proporcionó un número CVE.
scl-ruby24-pasajero
  • EA-9194: Actualización scl-ruby24-passenger a 6.0.6, elimine 6.0.4.
  • ZC-7058: incluye fuente de pasajeros para apoyar ea-nginx (y potencialmente otros).

2020-7-15


ea-libicu
  • EA-9155: Actualización ea-libicu a 67.1, baja 66.
ea-freetds
  • EA-9148: Actualización ea-freetds a 1.2.3, elimine 1.1.24.
ea-php74
  • EA-9150: Actualización ea-php74 a 7.4.8, descarte 7.4.7 (con corrección para usuarios de Windows en CVE-2020-8169).
ea-php74-meta
  • EA-9150: Actualización ea-php74 a 7.4.8, descarte 7.4.7 (con corrección para usuarios de Windows en CVE-2020-8169).
scl-php72
  • EA-9152: Actualización scl-php72 a 7.2.32, descarte 7.2.31 (con corrección para usuarios de Windows en CVE-2020-8169).
scl-php72-meta
  • EA-9152: Actualización scl-php72 a 7.2.32, descarte 7.2.31 (con corrección para usuarios de Windows en CVE-2020-8169).
scl-php73
  • EA-9153: Actualización scl-php73 a 7.3.20, suelte 7.3.19 (con corrección para usuarios de Windows en CVE-2020-8169).
scl-php73-meta
  • EA-9153: Actualización scl-php73 a 7.3.20, descarte 7.3.19 (con corrección para usuarios de Windows en CVE-2020-8169).
ea-tomcat85

2020-7-8


scl-ruby24-pasajero

  • ZC-7058: incluye fuente de pasajeros para apoyar ea-nginx.

scl-ioncube10

  • EA-9085: Actualice a 10.4.0, elimine 10.3.9, habilite ioncube10 en PHP74.

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *